Webhooks
List Subscriptions
Returns all webhook subscriptions for your account with pagination support.
Endpoint: (GET) https://api.lusha.com/api/subscriptions
Pagination:
- Results are sorted by
createdAtin descending order (newest first) - Default limit: 10, max limit: 100
- Use
offsetfor pagination through large result sets
Note: The webhook
secretis never returned in list responses for security.
GET
/
api
/
subscriptions
List Subscriptions
curl --request GET \
--url https://api.lusha.com/api/subscriptions \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/api/subscriptions"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/api/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/api/subscriptions")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/api/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "507f1f77bcf86cd799439011",
"entityType": "contact",
"entityId": "123456",
"signalTypes": [
"promotion",
"companyChange"
],
"url": "https://example.com/webhook",
"name": "My Contact Webhook",
"isActive": true,
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"pagination": {
"total": 25,
"limit": 10,
"offset": 0,
"hasMore": true
}
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Query Parameters
Maximum number of results (1-100)
Required range:
1 <= x <= 100Number of results to skip
Required range:
x >= 0Was this page helpful?
⌘I
List Subscriptions
curl --request GET \
--url https://api.lusha.com/api/subscriptions \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/api/subscriptions"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/api/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/api/subscriptions")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/api/subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "507f1f77bcf86cd799439011",
"entityType": "contact",
"entityId": "123456",
"signalTypes": [
"promotion",
"companyChange"
],
"url": "https://example.com/webhook",
"name": "My Contact Webhook",
"isActive": true,
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z"
}
],
"pagination": {
"total": 25,
"limit": 10,
"offset": 0,
"hasMore": true
}
}{
"statusCode": 400,
"message": "Invalid request parameters"
}{
"statusCode": 401,
"message": "Invalid API key"
}{
"statusCode": 500,
"message": "Internal server error. Please try again later."
}